Workflow administration screen - loss of overview when working with many statuses

2013-07-21 08:52 - Matthias Petermann

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Hello,

in our project we have a lot of statuses in the workflow. This results in a big number of columns (1) in the workflow

administration screen.

While this works acceptable, there is one side effect constantly leading to a loss of overview during editing. For seeing the higher

columns it is required to scroll (2). This leads the vertical legend to flow out of the screen (3).

The attached screenshot hightlighths the mentioned numbers 1-3.

Would it be possible to make the vertical legend fixed, so that it is visible everytime?

Kind regards,

Matthias

History

#1 - 2018-03-18 05:23 - Matthias Petermann

This issue is addressed by a recently published plugin:

https://github.com/UweHeber/redmine-workflow-visualization-plugin

 If any of the upstream Redmine developer could review this, it might be a good candidate for inclusion in the official tree.

#2 - 2021-07-09 06:51 - Mizuki ISHIKAWA

- File status-tansistions.gif added

- File fields_permissions.gif added

- File feature-14508.patch added

By applying the attached patch, the header of the large table in the workflow is fixed and easy to see.

It is a simple change that uses a CSS property position: sticky and does not require JavaScript.

It works fine with Chrome, Firefox, Safari and Edge.

In IE11, the header is not fixed because position: sticky; cannot be used, but it will be displayed in almost the same way as before the change.

status-tansistions.gif fields_permissions.gif 

#3 - 2021-07-19 04:41 - Go MAEDA

- Target version set to Candidate for next major release

Files

2013-07-21_redmine_workflow_config.png 93.3 KB 2013-07-21 Matthias Petermann

status-tansistions.gif 535 KB 2021-07-09 Mizuki ISHIKAWA

fields_permissions.gif 581 KB 2021-07-09 Mizuki ISHIKAWA

feature-14508.patch 10.4 KB 2021-07-09 Mizuki ISHIKAWA
